### Method

# Gimp Choice add

since: 3.0

#### Declaration [src]

    void
    gimp_choice_add (
      GimpChoice* choice,
      const gchar* nick,
      gint id,
      const gchar* label,
      const gchar* help
    )

#### Description [src]

This procedure adds a new possible value to `choice` list of values. The `id` is an optional integer identifier. This can be useful for instance when you want to work with different enum values mapped to each `nick`.

Available since: 3.0

#### Parameters

`nick`

  Type: `const gchar*`

  The nick of `choice`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`id`

  Type: `gint`

  Optional integer ID for `nick`.

`label`

  Type: `const gchar*`

  The label of `choice`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`help`

  Type: `const gchar*`

  Optional longer help text for `nick`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.